<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: VersionType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00026.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">VersionType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Structure to represent the major-, minor-, patch-, and build version of the VICOLib (acquired by <a class="el" href="a00002.html#a0db1d67e9777cd3eea0cb37663ee03c4" title="Reads the major-, minor-, patch-, and build-version of the VICOLib.">getLibraryVersion()</a>) and VICODaemon (acquired by <a class="el" href="a00002.html#a2a7639b2cbad7e518285d65fc3e3264f" title="Reads the major-, minor-, patch-, and build-version of the VICODaemon.">getDaemonVersion()</a>).  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a3033f40be8104ef1dd34748d43d7fac4" id="r_a3033f40be8104ef1dd34748d43d7fac4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3033f40be8104ef1dd34748d43d7fac4">major</a></td></tr>
<tr class="separator:a3033f40be8104ef1dd34748d43d7fac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdd3ad2f39c204b5394d5f4b7f7a8d47" id="r_afdd3ad2f39c204b5394d5f4b7f7a8d47"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afdd3ad2f39c204b5394d5f4b7f7a8d47">minor</a></td></tr>
<tr class="separator:afdd3ad2f39c204b5394d5f4b7f7a8d47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2c970fb4fb68f92224f9369b227382b" id="r_aa2c970fb4fb68f92224f9369b227382b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa2c970fb4fb68f92224f9369b227382b">patch</a></td></tr>
<tr class="separator:aa2c970fb4fb68f92224f9369b227382b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b9c9af69944e8183d1f4fb81619d9fc" id="r_a2b9c9af69944e8183d1f4fb81619d9fc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2b9c9af69944e8183d1f4fb81619d9fc">build</a></td></tr>
<tr class="separator:a2b9c9af69944e8183d1f4fb81619d9fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to represent the major-, minor-, patch-, and build version of the VICOLib (acquired by <a class="el" href="a00002.html#a0db1d67e9777cd3eea0cb37663ee03c4" title="Reads the major-, minor-, patch-, and build-version of the VICOLib.">getLibraryVersion()</a>) and VICODaemon (acquired by <a class="el" href="a00002.html#a2a7639b2cbad7e518285d65fc3e3264f" title="Reads the major-, minor-, patch-, and build-version of the VICODaemon.">getDaemonVersion()</a>). </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a2b9c9af69944e8183d1f4fb81619d9fc" name="a2b9c9af69944e8183d1f4fb81619d9fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b9c9af69944e8183d1f4fb81619d9fc">&#9670;&#160;</a></span>build</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> build</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3033f40be8104ef1dd34748d43d7fac4" name="a3033f40be8104ef1dd34748d43d7fac4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3033f40be8104ef1dd34748d43d7fac4">&#9670;&#160;</a></span>major</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> major</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afdd3ad2f39c204b5394d5f4b7f7a8d47" name="afdd3ad2f39c204b5394d5f4b7f7a8d47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdd3ad2f39c204b5394d5f4b7f7a8d47">&#9670;&#160;</a></span>minor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> minor</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2c970fb4fb68f92224f9369b227382b" name="aa2c970fb4fb68f92224f9369b227382b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2c970fb4fb68f92224f9369b227382b">&#9670;&#160;</a></span>patch</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> patch</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00026.html">VersionType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
